<?php
/*
* Plugin Name: WooCommerce Customize Product Layout For WPBakery Page Builder (Visual Composer)
* Plugin URI: https://codecanyon.net/item/woocommerce-customize-product-layout-for-visual-composer/20412977
* Description: With this plugin, you will easily customize your product category page, your shop page, your product page, your product tag page to your style by simply dragging and dropping the interface without code, with require must have WPBakery Page Builder.
* Version: 3.2.0
* Author: Mysterious_Team
* Author URI: https://codecanyon.net/user/mysterious_team/portfolio
*/
namespace mysterious\productlayout;
use mysterious\productlayout\classes\functions;
require_once "autoload.php";
if ( ! function_exists( 'is_plugin_active' ) ) {
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}
define('MST_CPLFVC', 'customize-product-layout-builder-for-visual-composer' );
define('MST_CPLFVC_FILE', __FILE__);
define('MST_CPLFVC_VERSION', '3.2.0' );
define('MST_CPLFVC_FOLDER', plugin_basename( __FILE__ ) );
define('MST_CPLFVC_DIR', realpath(plugin_dir_path( __FILE__ ))  );
define('MST_CPLFVC_INC', MST_CPLFVC_DIR.'/includes' );
define('MST_CPLFVC_URL', plugin_dir_url( __FILE__ ) );
function plugins_loaded() {
	controllers\init::instance();
	load_plugin_textdomain( 'customize-product-layout-builder-for-visual-composer', false, basename( __DIR__ ) . '/languages/' );
}
if(!function_exists('productLayoutWPB'))
{
	function productLayoutWPB(){
		return functions::instance();
	}
}

add_action('plugins_loaded', 'mysterious\\productlayout\\plugins_loaded');
register_activation_hook(__FILE__, array('mysterious\\productlayout\\classes\\plugin', 'activate'));
