<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use function mysterious\productlayout\productLayoutWPB;
global $template_selected;
$is_theme_active = productLayoutWPB()->currentTheme();
switch ( $is_theme_active )
{
	case 'thegem':
		$class_extra = 'single-product-content row';
		break;
	case 'dt-the7':
		$class_extra = 'mstcplfwpb-dt-the7-theme';
		break;
	case 'total':
		$class_extra = 'mstcplfwpb-total-theme';
		break;
	case 'shopkeeper':
		$class_extra = 'product_layout_classic default-layout';
		break;
	default:
		$class_extra = '';
		break;
}
$class 	= 'mstcplfwpb-woocommerce-page container '.$class_extra;
$class 	= apply_filters('mstcplfwpb-wc-class',$class);

do_action( 'woocommerce_before_single_product' );
if ( post_password_required() ) {
	echo get_the_password_form();
	return;
}
?>
<div id="product-<?php the_ID(); ?>" <?php post_class($class); ?>>
<?php
	$result = productLayoutWPB()->get_template_by_product($template_selected);
	do_action('product_page_wpb_show_content',$result);
?>
<meta itemprop="url" content="<?php the_permalink(); ?>" />
</div>

<?php do_action( 'woocommerce_after_single_product' ); ?>