<?php foreach($options as $key => $value) {?>
<tr class="form-field">
        <th valign="top" scope="row">
            <label for=""><?php echo esc_html($value['txt_template']); ?></label>
        </th>
        <td>
            <select name="<?php echo esc_attr($value['name']); ?>" data-placeholder="<?php echo esc_attr__('Select a template',MST_CPLFVC); ?>" class="enhanced chosen_select_nostd">
                    <option value=""><?php echo esc_html__('Default template',MST_CPLFVC); ?></option>
                <?php if($value['flag']) { ?>
                    <option <?php echo $value['value']=='active' ? ' selected="selected"' : ''; ?> value="active"><?php echo esc_html__('Template Activated',MST_CPLFVC); ?></option>
                <?php } ?>
                <?php 
                    foreach ($value['templates'] as $key => $template) {
                ?>
                    <option <?php echo $template->id === $value['value'] ? ' selected="selected" ' : ''; ?> value="<?php echo esc_attr($template->id); ?>"><?php echo esc_html($template->title); ?></option>
                <?php } ?>
            </select>
            <p class='description'><?php echo esc_html($value['desc']); ?> <a href="<?php echo esc_url($value['desc_url']); ?>"><?php echo esc_html($value['txt_all']); ?></a></p>
        </td>
</tr>
<?php } ?>